Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlrt.cep.event
Interface EventType

public interface EventType

This interface provides metadata for events.

The interface exposes events as organizations of named values. The contract is that any event in the system must have a name-based way of accessing sub-data within its event type. A simple example is a Java bean: the names can be property names, and those properties can have still more properties beneath them. Another example is a Map structure. Here string names can refer to data objects.

Information on the super-types (superclass and interfaces implemented by JavaBean events) is also available. Supertypes generally exclude Java language interfaces and types.

Method Summary
`EventBuilder.Factory` | `getEventBuilderFactory()` Returns EventBuilder.Factory which may be used to manufacture event objects of this event type.
`String[]` | `getPropertyNames()` Get all valid property names for the event type.
`Class` | `getPropertyType(String property)` Get the type of an event property as returned by the "getter" method for that property.
`Object` | `getPropertyValue(Object underlying, String property)` Retrieves property value from an event object of this event type.
`EventType[]` | `getSuperTypes()` Returns an array of event types that are super to this event type, from which this event type inherited event properties.
`String` | `getTypeName()` Returns the registered event type name associated with this EventType.
`Class` | `getUnderlyingType()` Get the class that represents the Java type of the event type.
`boolean` | `isProperty(String property)` Check that the given property name is valid for this event type, ie. that is exists in the event type.

Method Detail

### getPropertyType

    public Class getPropertyType(String property)

  Get the type of an event property as returned by the "getter" method for that property. Returns unboxed (such as 'int.class') as well as boxed (java.lang.Integer) type. Returns null if the property name is not valid.

  Parameters:
    `property` - is the property name
  Returns:
    type of the property, the unboxed or the boxed type.

### getUnderlyingType

    public Class getUnderlyingType()

  Get the class that represents the Java type of the event type. Returns a Java bean event class if the schema represents a Java bean event type. Returns java.util.Map is the schema represents a collection of values in a Map.

  Returns:
    type of the event object

### getPropertyNames

    public String[] getPropertyNames()

  Get all valid property names for the event type.

  Returns:
    A string array containing the property names of this typed event data object.

### isProperty

    public boolean isProperty(String property)

  Check that the given property name is valid for this event type, ie. that is exists in the event type.

  Parameters:
    `property` - is the property to check
  Returns:
    true if exists, false if not

### getSuperTypes

    public EventType[] getSuperTypes()

  Returns an array of event types that are super to this event type, from which this event type inherited event properties.

  For Java bean instances underlying the event this method returns the event types for all superclasses extended by the Java bean and all interfaces implemented by the Java bean.

  Returns:
    an array of event types

### getTypeName

    public String getTypeName()

  Returns the registered event type name associated with this EventType.

  Returns:
    event type name

### getPropertyValue

    public Object getPropertyValue(Object underlying,
                                   String property)

  Retrieves property value from an event object of this event type.

  Parameters:
    `underlying` - event object from which to retrieve value
    `property` - property name whose value is to be retrieved
  Returns:
    value of property for underlying event object

### getEventBuilderFactory

    public EventBuilder.Factory getEventBuilderFactory()

  Returns EventBuilder.Factory which may be used to manufacture event objects of this event type.

  Returns:
    factory to manufacture events of this type

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD